> For the complete documentation index, see [llms.txt](https://liquiidio.gitbook.io/unity-plugin-suite/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://liquiidio.gitbook.io/unity-plugin-suite/atomicmarket/api-docs/atomicmarketapiclient-pricing/atomicmarketapiclient-pricing-pricinguriparametersbuilder.md).

# PricingUriParametersBuilder

```
class AtomicMarketApiClient::Pricing::PricingUriParametersBuilder
  : public IUriParameterBuilder
```

## Summary

| Members                                                                                                                                                                                                                                                                                     | Descriptions                                                                                                             |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------ |
| `public` [`PricingUriParametersBuilder`](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder) [`WithSymbol`](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a09ad8b6a8d73526f5a0fc20c76894819)`(string symbol)`                 | `WithSymbol` sets the `symbol` parameter                                                                                 |
| `public` [`PricingUriParametersBuilder`](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder) [`WithBurned`](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a4f7c02ab695e063599b873e235d5ce47)`(bool burned)`                   | `WithBurned` sets the `_burned` field to the value of the `burned` parameter                                             |
| `public` [`PricingUriParametersBuilder`](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder) [`WithCollectionName`](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1ade45698cd327201f24270ccede733cd3)`(string collectionName)` | `WithCollectionName` is a function that takes a string as a parameter and returns an `PricingUriParameterBuilder` object |
| `public` [`PricingUriParametersBuilder`](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder) [`WithSchemaName`](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a3728ef603ca60a309fe59e96213208b5)`(string schemaName)`         | This function sets the schema name for the query.                                                                        |
| `public` [`PricingUriParametersBuilder`](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder) [`WithTemplateId`](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a56b890f7fa617e3ae6908264cb6fca6d)`(string templateId)`         | `WithTemplateId` sets the `_templateId` variable to the value of the `templateId` parameter                              |
| `public` [`PricingUriParametersBuilder`](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder) [`WithIsTransferable`](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a6520a84e79a0e115c121cafc67cf6cf1)`(bool isTransferable)`   | `WithIsTransferable` sets the `_isTransferable` field to the value of the `isTransferable` parameter                     |
| `public` [`PricingUriParametersBuilder`](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder) [`WithIsBurnable`](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a373cece648672a58d814966f3bc91b60)`(bool isBurnable)`           | `WithIsTransferable` sets the `_isTransferable` field to the value of the `isTransferable` parameter                     |
| `public string` [`Build`](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a933ab72b517a9c3879ef78b27a2483bf)`()`                                                                                                                                            | It builds a query string based on the parameters that have been set.                                                     |
| `private string` [`_symbol`](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a26c189f7d4c40f40f09ace24c4ccb945)                                                                                                                                             | A private variable that is used to store the value of the symbol parameter.                                              |
| `private bool?` [`_burned`](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a88325c0b6dc8cb4a570b2faaca18efa7)                                                                                                                                              | A nullable boolean specfying burned assets.                                                                              |
| `private string` [`_collectionName`](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a10ec2fa990c6478bc519b1e57e1ab2aa)                                                                                                                                     | A private variable that is used to store the value of the collectionName parameter.                                      |
| `private string` [`_schemaName`](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a2f9a887fd4dfcf60bfe4240a27085724)                                                                                                                                         | A private variable that is used to store the value of the schemaName parameter.                                          |
| `private string` [`_templateId`](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a06f918051fc7b04615854510caa85934)                                                                                                                                         | A private variable that is used to store the value of the templateId parameter.                                          |
| `private bool?` [`_isTransferable`](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a44e26246620bd9d4efa97c195a356672)                                                                                                                                      | A nullable boolean specfying transferable assets.                                                                        |
| `private bool?` [`_isBurnable`](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a6020acf0c5cb6f447cfe5ba95579e74d)                                                                                                                                          | A nullable boolean specfying burnable assets.                                                                            |

## Members

**`public`** [**`PricingUriParametersBuilder`**](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder) [**`WithSymbol`**](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a09ad8b6a8d73526f5a0fc20c76894819)**`(string symbol)`**

`WithSymbol` sets the `symbol` parameter

#### Parameters

* `symbol` Token symbols.

#### Returns

The PricingUriParameterBuilder object.

**`public`** [**`PricingUriParametersBuilder`**](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder) [**`WithBurned`**](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a4f7c02ab695e063599b873e235d5ce47)**`(bool burned)`**

`WithBurned` sets the `_burned` field to the value of the `burned` parameter

#### Parameters

* `burned` It filters for burned assets.

#### Returns

The PricingUriParameterBuilder object.

**`public`** [**`PricingUriParametersBuilder`**](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder) [**`WithCollectionName`**](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1ade45698cd327201f24270ccede733cd3)**`(string collectionName)`**

`WithCollectionName` is a function that takes a string as a parameter and returns an `PricingUriParameterBuilder` object

#### Parameters

* `collectionName` The name of the collection you want to query.

#### Returns

The PricingUriParameterBuilder object.

**`public`** [**`PricingUriParametersBuilder`**](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder) [**`WithSchemaName`**](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a3728ef603ca60a309fe59e96213208b5)**`(string schemaName)`**

This function sets the schema name for the query.

#### Parameters

* `schemaName` The name of the schema to use.

#### Returns

The PricingUriParameterBuilder object.

**`public`** [**`PricingUriParametersBuilder`**](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder) [**`WithTemplateId`**](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a56b890f7fa617e3ae6908264cb6fca6d)**`(string templateId)`**

`WithTemplateId` sets the `_templateId` variable to the value of the `templateId` parameter

#### Parameters

* `templateId` The templateId of the results to return.

#### Returns

The PricingUriParameterBuilder object.

**`public`** [**`PricingUriParametersBuilder`**](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder) [**`WithIsTransferable`**](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a6520a84e79a0e115c121cafc67cf6cf1)**`(bool isTransferable)`**

`WithIsTransferable` sets the `_isTransferable` field to the value of the `isTransferable` parameter

#### Parameters

* `isTransferable` The isTransferable parameter filters results.

#### Returns

The PricingUriParameterBuilder object.

**`public`** [**`PricingUriParametersBuilder`**](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder) [**`WithIsBurnable`**](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a373cece648672a58d814966f3bc91b60)**`(bool isBurnable)`**

`WithIsTransferable` sets the `_isTransferable` field to the value of the `isTransferable` parameter

#### Parameters

* `isTransferable` The isTransferable parameter filters for transferable assets.

#### Returns

The PricingUriParameterBuilder object.

**`public string`** [**`Build`**](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a933ab72b517a9c3879ef78b27a2483bf)**`()`**

It builds a query string based on the parameters that have been set.

#### Returns

A string that contains the parameters for the query.

**`private string`** [**`_symbol`**](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a26c189f7d4c40f40f09ace24c4ccb945)

A private variable that is used to store the value of the symbol parameter.

**`private bool?`** [**`_burned`**](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a88325c0b6dc8cb4a570b2faaca18efa7)

A nullable boolean specfying burned assets.

**`private string`** [**`_collectionName`**](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a10ec2fa990c6478bc519b1e57e1ab2aa)

A private variable that is used to store the value of the collectionName parameter.

**`private string`** [**`_schemaName`**](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a2f9a887fd4dfcf60bfe4240a27085724)

A private variable that is used to store the value of the schemaName parameter.

**`private string`** [**`_templateId`**](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a06f918051fc7b04615854510caa85934)

A private variable that is used to store the value of the templateId parameter.

**`private bool?`** [**`_isTransferable`**](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a44e26246620bd9d4efa97c195a356672)

A nullable boolean specfying transferable assets.

**`private bool?`** [**`_isBurnable`**](#class_atomic_market_api_client_1_1_pricing_1_1_pricing_uri_parameters_builder_1a6020acf0c5cb6f447cfe5ba95579e74d)

A nullable boolean specfying burnable assets.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://liquiidio.gitbook.io/unity-plugin-suite/atomicmarket/api-docs/atomicmarketapiclient-pricing/atomicmarketapiclient-pricing-pricinguriparametersbuilder.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
